# Uses of Interface
com.sun.source.doctree.UnknownBlockTagTree

Packages that use UnknownBlockTagTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of UnknownBlockTagTree in com.sun.source.doctree

Methods in com.sun.source.doctree with parameters of type UnknownBlockTagTree
Modifier and Type
Method
Description
`R`
DocTreeVisitor.`visitUnknownBlockTag​(UnknownBlockTagTree node, P p)`
Visits an UnknownBlockTagTree node.

## Uses of UnknownBlockTagTree in com.sun.source.util

Methods in com.sun.source.util that return UnknownBlockTagTree
Modifier and Type
Method
Description
`UnknownBlockTagTree`
DocTreeFactory.`newUnknownBlockTagTree​(Name name, List<? extends DocTree> content)`
Creates a new `UnknownBlockTagTree` object, to represent an unrecognized block tag.
Methods in com.sun.source.util with parameters of type UnknownBlockTagTree
Modifier and Type
Method
Description
`R`
DocTreeScanner.`visitUnknownBlockTag​(UnknownBlockTagTree node, P p)`
Visits an UnknownBlockTagTree node.
`R`
SimpleDocTreeVisitor.`visitUnknownBlockTag​(UnknownBlockTagTree node, P p)`
Visits an UnknownBlockTagTree node.